Debian Bug report logs - #690399
dh_installinit: add systemd support

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Sat, 13 Oct 2012 19:18:01 UTC

Severity: wishlist

Tags: patch

Fixed in version debhelper/9.20130504

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Sat, 13 Oct 2012 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Sat, 13 Oct 2012 19:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] dh_installinit: add systemd support
Date: Sat, 13 Oct 2012 21:07:11 +0200
[Message part 1 (text/plain, inline)]
Package: debhelper
Severity: wishlist
Tags: patch

Hello,

attached you can find a patch which adds support for systemd packaging
in dh_installinit, just like upstart is already supported.

The patch installs systemd files to /etc/systemd/system/ (see the patch
for rationale) and tmpfiles to /usr/lib/tmpfiles.d. Additionally it
calls systemctl daemon-reload (to pick up service file changes) and
systemd-tmpfiles --create (to apply tmpfiles changes) on systems where
systemd is running.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: armel
i386

Kernel: Linux 3.5.0 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debhelper depends on:
ii  binutils    2.22-6.1
ii  dpkg        1.16.4.3
ii  dpkg-dev    1.16.4.3
ii  file        5.11-1
ii  html2text   1.3.2a-15
ii  man-db      2.6.2-1
ii  perl        5.14.2-12
ii  po-debconf  1.0.16+nmu2

debhelper recommends no packages.

Versions of packages debhelper suggests:
ii  dh-make  0.60

-- no debconf information
[0001-Support-systemd-in-dh_installinit-and-postinst-postr.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690399; Package debhelper. (Sat, 13 Oct 2012 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 13 Oct 2012 21:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 690399@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>, 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sat, 13 Oct 2012 16:59:07 -0400
[Message part 1 (text/plain, inline)]
Michael Stapelberg wrote:
> attached you can find a patch which adds support for systemd packaging
> in dh_installinit, just like upstart is already supported.
> 
> The patch installs systemd files to /etc/systemd/system/ (see the patch
> for rationale) and tmpfiles to /usr/lib/tmpfiles.d. Additionally it
> calls systemctl daemon-reload (to pick up service file changes) and
> systemd-tmpfiles --create (to apply tmpfiles changes) on systems where
> systemd is running.

This looks good. It would be nice if some of the code duplication in the
autoscripts could be eliminated, but perhaps there is not a very good
way to do that.

The only questionable part seems to be the direct use of of
/etc/systemd/system/. Is there a consensus that this is the right thing
to do? I see symlinks being dropped in there by many packages
currently.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Mon, 15 Oct 2012 14:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Mon, 15 Oct 2012 14:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Joey Hess <joeyh@debian.org>, 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Mon, 15 Oct 2012 16:38:47 +0200
[Message part 1 (text/plain, inline)]
Hi Joey,

Thanks for the quick review.

Joey Hess <joeyh@debian.org> writes:
> The only questionable part seems to be the direct use of of
> /etc/systemd/system/. Is there a consensus that this is the right thing
> to do? I see symlinks being dropped in there by many packages
> currently.
I talked to mbiebl and Mithrandir about it and we’ve come to the
conclusion that we want to ship the files in /lib instead (for
consistency with upstream packages and other distributions) and maybe
work on UCF support for this location instead of shipping the service
files in /etc.

I have updated the patch and attached the new version.

-- 
Best regards,
Michael
[0001-Support-systemd-in-dh_installinit-and-postinst-postr.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 15 Oct 2012 18:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Wed, 24 Oct 2012 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 24 Oct 2012 14:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 690399@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 690399@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Wed, 24 Oct 2012 16:01:20 +0200
Michael Stapelberg <stapelberg@debian.org> writes:

> Hi Joey,
>
> Thanks for the quick review.
>
> Joey Hess <joeyh@debian.org> writes:
>> The only questionable part seems to be the direct use of of
>> /etc/systemd/system/. Is there a consensus that this is the right thing
>> to do? I see symlinks being dropped in there by many packages
>> currently.
> I talked to mbiebl and Mithrandir about it and we’ve come to the
> conclusion that we want to ship the files in /lib instead (for
> consistency with upstream packages and other distributions) and maybe
> work on UCF support for this location instead of shipping the service
> files in /etc.

Another option could perhaps be to ship the files in /lib, but instead
of relying on UCF or some other kind of mechanism to fiddle with the
symlinks in /etc, ship files there too. Files that do nothing but
.include the file in /lib.

Things like:

.include /lib/systemd/system/foo.service

The advantage of this is that the whole conffile handling is left up to
dpkg, no other mechanism is needed, neither in maintainer scripts, nor
elsewhere. Users can still modify the files, or even remove them: it
will be handled correctly. In most cases, they can even leave the
.include there, and just override the few things they need to override.

(and dh_installinit could then perhaps assist with creating these
.include-only files automatically, based on what the package installs
under /lib/systemd)

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690399; Package debhelper. (Wed, 24 Oct 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 24 Oct 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 690399@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Gergely Nagy <algernon@balabit.hu>, 690399@bugs.debian.org
Cc: Michael Stapelberg <stapelberg@debian.org>
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Wed, 24 Oct 2012 10:18:39 -0400
[Message part 1 (text/plain, inline)]
Gergely Nagy wrote:
> Another option could perhaps be to ship the files in /lib, but instead
> of relying on UCF or some other kind of mechanism to fiddle with the
> symlinks in /etc, ship files there too. Files that do nothing but
> .include the file in /lib.
> 
> Things like:
> 
> .include /lib/systemd/system/foo.service
> 
> The advantage of this is that the whole conffile handling is left up to
> dpkg, no other mechanism is needed, neither in maintainer scripts, nor
> elsewhere. Users can still modify the files, or even remove them: it
> will be handled correctly. In most cases, they can even leave the
> .include there, and just override the few things they need to override.
> 
> (and dh_installinit could then perhaps assist with creating these
> .include-only files automatically, based on what the package installs
> under /lib/systemd)

Yes, it certianly could. Choice is entirely up to the systemd maintainers..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Sat, 27 Oct 2012 19:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sat, 27 Oct 2012 19:45:08 GMT) Full text and rfc822 format available.

Message #32 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>, 690399@bugs.debian.org
Cc: Gergely Nagy <algernon@balabit.hu>, Michael Stapelberg <stapelberg@debian.org>, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sat, 27 Oct 2012 21:43:15 +0200
[Message part 1 (text/plain, inline)]
Hi Joey, hi Gergely,

On 24.10.2012 16:18, Joey Hess wrote:
> Gergely Nagy wrote:
>> Another option could perhaps be to ship the files in /lib, but instead
>> of relying on UCF or some other kind of mechanism to fiddle with the
>> symlinks in /etc, ship files there too. Files that do nothing but
>> .include the file in /lib.
>>
>> Things like:
>>
>> .include /lib/systemd/system/foo.service
>>
>> The advantage of this is that the whole conffile handling is left up to
>> dpkg, no other mechanism is needed, neither in maintainer scripts, nor
>> elsewhere. Users can still modify the files, or even remove them: it
>> will be handled correctly. In most cases, they can even leave the
>> .include there, and just override the few things they need to override.
>>
>> (and dh_installinit could then perhaps assist with creating these
>> .include-only files automatically, based on what the package installs
>> under /lib/systemd)
> 
> Yes, it certianly could. Choice is entirely up to the systemd maintainers..

Tollef, Michael S. and I discussed this. We do like the .include
mechanism and prefer it over copying the whole .service file.

That said, shipping such an .include-only file in /etc/ by default for
every package providing a .service file will clutter /etc notably and we
are worried about that, especially since overriding settings from
.service files will be the exception rather then the norm.

So we don't think dh_installinit should create such .include-only files
(at least not by default).

For now we will try to address this issue with better documentation e.g.
in README.Debian. Another idea could be having a small helper tool, like
say "systemd-edit $foo.service", which could assist in creating such
override/.include files. This is something we can work on in the systemd
package though, so I don't think we should bother Joey with this.

I'd be fine if the patch is merged as-is.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690399; Package debhelper. (Sun, 28 Oct 2012 18:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 28 Oct 2012 18:15:08 GMT) Full text and rfc822 format available.

Message #37 received at 690399@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sun, 28 Oct 2012 14:13:09 -0400
[Message part 1 (text/plain, inline)]
Michael Stapelberg wrote:
> I talked to mbiebl and Mithrandir about it and we’ve come to the
> conclusion that we want to ship the files in /lib instead (for
> consistency with upstream packages and other distributions) and maybe
> work on UCF support for this location instead of shipping the service
> files in /etc.
> 
> I have updated the patch and attached the new version.

This is applied. However, I wonder about this part of it:

> --- a/autoscripts/postinst-init
> +++ b/autoscripts/postinst-init
> @@ -1,4 +1,10 @@
>  if [ -x "/etc/init.d/#SCRIPT#" ]; then
> +	# In case this system is running systemd, we need to ensure that all
> +	# necessary tmpfiles (if any) are created before starting.
> +	if [ -d /sys/fs/cgroup/systemd ] ; then
> +		systemd-tmpfiles --create >/dev/null || true
> +	fi
> +
>  	update-rc.d #SCRIPT# #INITPARMS# >/dev/null
>  	invoke-rc.d #SCRIPT# start || #ERROR_HANDLER#

This is a lot of boilerplate to add to every init script in Debian.

Is there any reason to add this to packages that have no systemd tmpfiles?

> diff --git a/autoscripts/postrm-init b/autoscripts/postrm-init
> index 1c29298..61dcfc5 100644
> --- a/autoscripts/postrm-init
> +++ b/autoscripts/postrm-init
> @@ -1,3 +1,10 @@
>  if [ "$1" = "purge" ] ; then
>  	update-rc.d #SCRIPT# remove >/dev/null
>  fi
> +
> +
> +# In case this system is running systemd, we make systemd reload the unit files
> +# to pick up changes.
> +if [ -d /sys/fs/cgroup/systemd ] ; then
> +	systemctl --system daemon-reload >/dev/null || true
> +fi

I'm a bit surprised this is necessary. Is this package removal case
currently broken when using systemd with all the packages out there that
don't do this?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Sun, 28 Oct 2012 20:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 28 Oct 2012 20:00:08 GMT) Full text and rfc822 format available.

Message #42 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sun, 28 Oct 2012 20:58:23 +0100
Hi Joey,

Joey Hess <joeyh@debian.org> writes:
> This is applied. However, I wonder about this part of it:
Thanks for applying! Is there a rough time estimate on when the next
version of debhelper will be released?

> This is a lot of boilerplate to add to every init script in Debian.
> Is there any reason to add this to packages that have no systemd
> tmpfiles?
No, there isn’t. In other words: If debhelper can do it, you can skip
the boilerplate unless the package ships any files in /etc/tmpfiles.d or
/usr/lib/tmpfiles.d.

>> +# In case this system is running systemd, we make systemd reload the unit files
>> +# to pick up changes.
>> +if [ -d /sys/fs/cgroup/systemd ] ; then
>> +	systemctl --system daemon-reload >/dev/null || true
>> +fi
>
> I'm a bit surprised this is necessary. Is this package removal case
> currently broken when using systemd with all the packages out there that
> don't do this?
It’s not exactly broken, but it results in quite a few unnecessary error
messages and potential confusion for our users in the case when a
service is not stopped on uninstall. mbiebl tested what happens in
various cases:

http://paste.debian.net/204443/
delete the service file, stop the service, everything fine.

http://paste.debian.net/204447/
delete the service file, systemctl status will still show "wrong" state
but mention that you should daemon-reload.

http://paste.debian.net/204454/
delete the service file, try to issue a restart (fails).

http://paste.debian.net/204456/
delete the service file, try to issue a stop (works).

In summary: No, not all cases are broken, but there might be
some. mbiebl and I agreed that the safest way is to just keep the
daemon-reload in there.

-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690399; Package debhelper. (Sun, 28 Oct 2012 21:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 28 Oct 2012 21:15:07 GMT) Full text and rfc822 format available.

Message #47 received at 690399@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sun, 28 Oct 2012 17:13:16 -0400
[Message part 1 (text/plain, inline)]
Michael Stapelberg wrote:
> Hi Joey,
> 
> Joey Hess <joeyh@debian.org> writes:
> > This is applied. However, I wonder about this part of it:
> Thanks for applying! Is there a rough time estimate on when the next
> version of debhelper will be released?

After the release.

> > This is a lot of boilerplate to add to every init script in Debian.
> > Is there any reason to add this to packages that have no systemd
> > tmpfiles?
> No, there isn’t. In other words: If debhelper can do it, you can skip
> the boilerplate unless the package ships any files in /etc/tmpfiles.d or
> /usr/lib/tmpfiles.d.

Obviously debhelper can do it, it just needs to be split out into a
separate autoscript that is conditionally included. Perhaps you can do
that?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Mon, 29 Oct 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Mon, 29 Oct 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #52 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Mon, 29 Oct 2012 18:24:17 +0100
[Message part 1 (text/plain, inline)]
Hi Joey,

Joey Hess <joeyh@debian.org> writes:
>> No, there isn’t. In other words: If debhelper can do it, you can skip
>> the boilerplate unless the package ships any files in /etc/tmpfiles.d or
>> /usr/lib/tmpfiles.d.
>
> Obviously debhelper can do it, it just needs to be split out into a
> separate autoscript that is conditionally included. Perhaps you can do
> that?
Attached you can find a patch which will make dh_installinit only add
the systemd-tmpfiles --create to postinst when the package actually
ships a tmpfiles config file.

mbiebl had a quick look over this patch and is okay with it.
I hope this was the solution you had in mind when you said that
debhelper can obviously do it… :-)

-- 
Best regards,
Michael
[0001-dh_installinit-only-add-systemd-tmpfiles-create-when.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Wed, 20 Mar 2013 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 20 Mar 2013 23:45:04 GMT) Full text and rfc822 format available.

Message #57 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Thu, 21 Mar 2013 00:42:36 +0100
[Message part 1 (text/plain, inline)]
Hi Joey,

Here is another patch which I’d like you to apply. Quote from the commit
message:

[PATCH] systemd: update check to look for /run/systemd/system

The old check (for /sys/fs/cgroup/systemd) is a false-positive on
systems which use standalone logind, but not systemd.

The new one is recommended and used by upstream systemd in their
sd_booted() implementation, see
http://cgit.freedesktop.org/systemd/systemd/tree/src/libsystemd-daemon/sd-daemon.c#n518

Thanks!

-- 
Best regards,
Michael
[0001-systemd-update-check-to-look-for-run-systemd-system.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#690399; Package debhelper. (Sat, 04 May 2013 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sat, 04 May 2013 18:03:04 GMT) Full text and rfc822 format available.

Message #62 received at 690399@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sat, 04 May 2013 19:55:40 +0200
[Message part 1 (text/plain, inline)]
Hi Joey,

Thanks for applying my previous patch.

Attached you can find another patch for dh_installinit. Quote from the
commit message:

    dh_installinit: call systemd-tmpfiles with the config file names
    
    This makes the invocation more specific and thus less likely to have any
    unwanted side effects.
    
    The invocation before was:
    
        systemd-tmpfiles --create >/dev/null || true
    
    With this commit, it becomes:
    
        systemd-tmpfiles --create bacula.conf >/dev/null || true
    
    (for bacula-fd shipping /etc/tmpfiles.d/bacula.conf)

Could you please apply it, too? Thanks.

-- 
Best regards,
Michael
[0001-dh_installinit-call-systemd-tmpfiles-with-the-config.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690399; Package debhelper. (Sat, 04 May 2013 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 04 May 2013 18:06:04 GMT) Full text and rfc822 format available.

Message #67 received at 690399@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: 690399@bugs.debian.org
Subject: Re: Bug#690399: dh_installinit: add systemd support
Date: Sat, 4 May 2013 14:02:38 -0400
[Message part 1 (text/plain, inline)]
Michael Stapelberg wrote:
> Thanks for applying my previous patch.
> 
> Attached you can find another patch for dh_installinit. Quote from the
> commit message:
> 
>     dh_installinit: call systemd-tmpfiles with the config file names
>     
>     This makes the invocation more specific and thus less likely to have any
>     unwanted side effects.
>     
>     The invocation before was:
>     
>         systemd-tmpfiles --create >/dev/null || true
>     
>     With this commit, it becomes:
>     
>         systemd-tmpfiles --create bacula.conf >/dev/null || true
>     
>     (for bacula-fd shipping /etc/tmpfiles.d/bacula.conf)
> 
> Could you please apply it, too? Thanks.

applied

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 04:06:39 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 04:06:39 GMT) Full text and rfc822 format available.

Message #72 received at 690399-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 690399-close@bugs.debian.org
Subject: Bug#690399: fixed in debhelper 9.20130504
Date: Sun, 05 May 2013 04:02:34 +0000
Source: debhelper
Source-Version: 9.20130504

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 04 May 2013 23:32:27 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 9.20130504
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 525821 680339 683551 683557 683941 684689 684895 686696 690378 690399 691398 691557 692208 693100 700200 701233 703262 703515 706314
Changes: 
 debhelper (9.20130504) unstable; urgency=low
 .
   * dh_shlibdeps: Warn if -V flag is passed, to avoid it accidentially being
     used here rather than in dh_makeshlibs. Closes: #680339
   * dh_lintian: Source overrides doc improvement. Closes: #683941
   * dh_installmime: No longer makes maintainer scripts run update-mime and
     update-mime-database, that is now handled by triggers. Closes: #684689
     Thanks, Charles Plessy
   * python distutils buildsystem: Propagate failure of pyversions.
     Closes: #683551 Thanks, Clint Byrum
   * python distutils buildsystem: When checking if a version of python is
     installed, don't trust the presense of the executable, as
     a python2.X-minimal package may provide it while not having
     distutils installed. Closes: #683557, #690378
   * dh_icons: Improve documentation. Closes: #684895
   * Improve -X documentation. Closes: #686696
   * Support installing multiple doc-base files which use the same doc-id.
     Closes: #525821
   * dh_installdocs: Support having the same document id in different binary
     packages built from the same source.
     Closes: #525821 Thanks, Don Armstrong
   * dh_installdeb: Avoid unnecessary is_udeb tests. Closes: #691398
   * Updated German man page translation. Closes: #691557, #706314
   * dh_installinit: Support systemd.
     Closes: #690399 Thanks, Michael Stapelberg
   * Updated French man page translation. Closes: #692208
   * dh_icons: Reword description. Closes: #693100
   * Avoid find -perm +mode breakage caused by findutils 4.5.11,
     by instead using -perm /mode. Closes: #700200
   * cmake: Configure with -DCMAKE_BUILD_TYPE=RelWithDebInfo
     Closes: #701233
   * dh_auto_test: Avoid doing anything when cross-compiling. Closes: #703262
   * dh_testdir: Fix error message. Closes: #703515
Checksums-Sha1: 
 d85b2648ca8d1fc90ad43584d3bd5875dee44db6 1577 debhelper_9.20130504.dsc
 da3e094d2b0a61f6aeadfe1f0ed5c6bdcea67877 470050 debhelper_9.20130504.tar.gz
 3c1da0c1f75877cafa598b677b5c1e9366560b51 706414 debhelper_9.20130504_all.deb
Checksums-Sha256: 
 9dd245024b2be9230bcd6569c617d2dae39e19c206cb639c72e4e252c3c86d3b 1577 debhelper_9.20130504.dsc
 7d6ee2657430afcb477396c32c4bc170aa7fae97332045aa8f4ebec889051f01 470050 debhelper_9.20130504.tar.gz
 08450bd3fbae0bcef04e60d299c8557634e35f027a446a454ab574f8948d2419 706414 debhelper_9.20130504_all.deb
Files: 
 6823c687eb955536e3d5d32b69a7dd41 1577 devel optional debhelper_9.20130504.dsc
 b5ea99c845e78cecbc89d25484a46b42 470050 devel optional debhelper_9.20130504.tar.gz
 fe4f489a57e830c66c6b2fbac672cdf4 706414 devel optional debhelper_9.20130504_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUYXVcckQ2SIlEuPHAQj8sw//R3bheMCm70k4D33QJ9Xc8wVHlcYgmY2f
Bi7ChTYcCtgyazS7yZmQ759Sh+m9vn11v/qqzVNKsxhIUnjjHFLWWfpcdCdn//Zp
6aAmRN0OT6ovLYFBAbuB80EBeSOE41QjKLUV1M7IU7DoFi+kCWWFHpv2Pni1XP/B
c7GqNAOI9CDKXEivyrgcv+UIA1PGCGz3Pk8J3ZF8Jy5GT2zelmvczj00uDVj/jUf
qWjQRirHrpOpmH8gcImhmlTS02WD6vAfNYuCa98HCh2o6QxWLx9tvgGRkudvHUr4
U4rT6ITAakVELQyVLbG/C9AhnHSMW96OT5ew834w3jcbPcXu9qMeTyUQyo/I9Od8
Wtipn28JoG9D04omMQMktXV8rdu1jfY8splBkow+kE7gIkjCpk6WkwBBd5XqvWAq
Xihf7eijRM1E2GbbEACg4pnVa1YynoZqhQhHf1V3bhoxYHtRbWHfV+KwXNznob/p
kOuOuftGpYANvP66E8kI9IDu612x95+Wn2G1KhLhvuX9CPXr/JDe3+fsYpvpGmJz
dZlVD787+LjEc3p5+sx+IGngNEjUa8CecIsJhir1Z6rZ9mGIPkVZZeEWBAXTi+kz
c8h4elA2ebSeB9qTHX5iXNbgtxmdkBZiddhb5dyF89DA25FQHcgm0GQu9Pmocido
lkNNVbB1DvU=
=YmiJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Jun 2013 07:40:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:30:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.